Package tigase.cluster

## Class ClusterConnectionManager.Watchdog

- java.lang.Object
- - java.lang.Thread
  - - tigase.server.ConnectionManager.Watchdog
    - - tigase.cluster.ClusterConnectionManager.Watchdog

- All Implemented Interfaces:
    `java.lang.Runnable`
  Enclosing class:
    ClusterConnectionManager

      protected class ClusterConnectionManager.Watchdog
      extends ConnectionManager.Watchdog

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Watchdog()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected long` | `getDurationSinceLastTransfer​(XMPPIOService service)` |

    - ### Methods inherited from class tigase.server.ConnectionManager.Watchdog

      `run, shutdown`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Watchdog

          protected Watchdog()

  - ### Method Detail

    - #### getDurationSinceLastTransfer

          protected long getDurationSinceLastTransfer​(XMPPIOService service)

      Overrides:
        `getDurationSinceLastTransfer` in class `ConnectionManager.Watchdog`